Download it now!
Bug 81942 - FILEOPEN: RTF numbering point style not retained
Summary: FILEOPEN: RTF numbering point style not retained
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:rtf
Depends on:
Blocks: RTF-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2014-07-31 05:23 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-06 02:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
3-page trimmed verison of the RTF (2.46 MB, application/rtf)
2014-07-31 05:23 UTC, Yousuf Philips (jay) (retired)
Details
Libo 4.3.1 VS Word 2013 (310.29 KB, image/png)
2014-07-31 05:25 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-07-31 05:23:03 UTC
Created attachment 103717 [details]
3-page trimmed verison of the RTF

I downloaded < http://download.microsoft.com/documents/rus/microsoft4you/How_to_license_the_operating_system_Windows_8_new.docx > and opened it in Word 2013 and saved it as an rtf file. Then when opening the file in LibO 4.3.1 and the style of the numbering entry on page 2 is not retained. This also effects 4.2.7 and master.

Steps:
1) open attached RTF file
2) scroll to page 2
3) the number '1' on the first line should be purple, Segoe UI and 18pt
Comment 1 Yousuf Philips (jay) (retired) 2014-07-31 05:25:27 UTC
Created attachment 103718 [details]
Libo 4.3.1 VS Word 2013
Comment 2 tommy27 2014-08-02 21:04:31 UTC
confirmed. LO 4.3.0.4. Win7x64
Comment 3 Robinson Tryon (qubit) 2015-12-10 01:08:14 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-01-03 19:39:43 UTC Comment hidden (obsolete)
Comment 5 tommy27 2017-01-03 23:03:17 UTC
still present in 5.2.4.2 and 5.4.0.0 alpha
Comment 6 QA Administrators 2018-10-06 02:50:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug